import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis

// 获取创建的发开票信息列表
export const getInvoiceInfoList = async function() {
  return await GET(`/wx/getInvoiceInfoList`);
}

// 创建开票信息
export const createInvoiceInfo = async function(data) {
  return await POST(`/wx/createInvoiceInfo`, data);
}

// 修改开票信息
export const updateInvoiceInfo = async function(data) {
  return await PUT(`/wx/updateInvoiceInfo/${id}`, data);
}

// 删除发票信息
export const deleteInvoiceInfo = async function(data) {
  return await DELETE(`/wx/deleteInvoiceInfo/${id}`, data);
}

// 获取可开发票列表
export const getInvoiceList = async function() {
  return await GET(`/wx/getInvoiceList`);
}